# Class OpenDisputeRequest

#### Hierarchy

- unknown
  - OpenDisputeRequest

- Defined in src/protobuf/grpc_pb.d.ts:478
- Defined in src/protobuf/grpc_pb.d.ts:490

#####
Index

### Constructors

constructor

### Methods

getTradeId
serializeBinary
setTradeId
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new OpenDisputeRequest(): OpenDisputeRequest

- #### Returns OpenDisputeRequest

  Inherited from jspb.Message.constructor

## Methods

### getTradeId

- getTradeId(): string

- #### Returns string

  - Defined in src/protobuf/grpc_pb.d.ts:479

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/grpc_pb.d.ts:482

### setTradeId

- setTradeId(value: string): OpenDisputeRequest

- #### Parameters

  - ##### value: string

  #### Returns OpenDisputeRequest

  - Defined in src/protobuf/grpc_pb.d.ts:480

### toObject

- toObject(includeInstance?: boolean): OpenDisputeRequest.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns OpenDisputeRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:483

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): OpenDisputeRequest

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns OpenDisputeRequest

  - Defined in src/protobuf/grpc_pb.d.ts:486

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: OpenDisputeRequest, reader: BinaryReader): OpenDisputeRequest

- #### Parameters

  - ##### message: OpenDisputeRequest

  - ##### reader: BinaryReader

  #### Returns OpenDisputeRequest

  - Defined in src/protobuf/grpc_pb.d.ts:487

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: OpenDisputeRequest, writer: BinaryWriter): void

- #### Parameters

  - ##### message: OpenDisputeRequest

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/grpc_pb.d.ts:485

### `Static` toObject

- toObject(includeInstance: boolean, msg: OpenDisputeRequest): OpenDisputeRequest.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: OpenDisputeRequest

  #### Returns OpenDisputeRequest.AsObject

  - Defined in src/protobuf/grpc_pb.d.ts:484

Generated using TypeDoc